Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Class WebModePayloadSink

    java.lang.Object
      com.google.gwt.rpc.client.ast.CommandSink
          com.google.gwt.rpc.server.WebModePayloadSink

    public class WebModePayloadSink

extends com.google.gwt.rpc.client.ast.CommandSink

A CommandSink that will generate a web-mode payload. ONE-SHOT EVAL (no incremental evaluation, must call finish())

Constructor Summary
`WebModePayloadSink(ClientOracle clientOracle, java.io.OutputStream out)`

Method Summary
`void` | `accept(com.google.gwt.rpc.client.ast.RpcCommand command)`
`void` | `finish()` The caller must close the stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebModePayloadSink

    public WebModePayloadSink(ClientOracle clientOracle,
                              java.io.OutputStream out)

Method Detail

### accept

    public void accept(com.google.gwt.rpc.client.ast.RpcCommand command)
                throws SerializationException

  Specified by:
    `accept` in class `com.google.gwt.rpc.client.ast.CommandSink`
  Throws:
    `SerializationException`

### finish

    public void finish()
                throws SerializationException

  The caller must close the stream.

  Specified by:
    `finish` in class `com.google.gwt.rpc.client.ast.CommandSink`
  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD